| N  | Image Format                                                        | Supported Read Features  | Unsupported Read Features | Supported Write Features | Unsupported Write Features | Dependencies |
| -- | --------------------------------------------------------------------| ------------------------ | ------------------------- | ------------------------ | -------------------------- | ------------ |
| 1  | [APNG](https://wikipedia.org/wiki/APNG)                             | **Grayscale:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit. **Indexed:** 1-bit, 2-bit, 4-bit, 8-bit. **RGB:** 24-bit, 48-bit. **RGBA:** 32-bit, 64-bit. <br/><br/>**Content:** Static, Animated, Meta data, ICC profiles. | - | Unsupported | - | libpng+APNG patch |
| 2  | [AVIF](https://wikipedia.org/wiki/AV1#AV1_Image_File_Format_(AVIF)) | **YUV**: 8-bit, 10-bit, 12-bit. <br/><br/>**Content:** Static, Animated, Meta data, ICC profiles. | - | Unsupported | - | libavif |
| 3  | [BMP](https://wikipedia.org/wiki/BMP_file_format)                   | **Indexed:** 1-bit, 4-bit, 8-bit (DIB only). **RGB:** 16-bit, 24-bit, 32-bit. <br/><br/>**Compressions:** NONE, RLE4, RLE8. <br/><br/>**BMP Versions:** V1 (DDB), V2, V3, V4, V5. <br/><br/>**Content:** Static, Meta data, ICC profiles. | **Indexed:** 8-bit (in DDB images). <br/><br/>**Compressions:** ALPHABITFIELDS, BITFIELDS, CMYK, CMYK-RLE4, CMYK-RLE8, JPEG, PNG. <br/><br/>**BMP Versions:** OS/2. | Unsupported | - | - |
| 4  | [GIF](https://wikipedia.org/wiki/GIF)                               | **Indexed:** 8-bit. <br/><br/>**Content:** Static, Animated, Meta data. | - | Unsupported | - | giflib |
| 5  | [ICO and CUR](https://en.wikipedia.org/wiki/ICO_(file_format))      | **Bit depth:** Same to BMP. <br/><br/>**Content:** Static, Multi-paged. | PNG contained images | Unsupported | - | - |
| 6  | [JPEG](https://wikipedia.org/wiki/JPEG)                             | **Grayscale:** 8-bit. **RGB:** 565 16-bit[[1]](#star-underlying), 24-bit. **BGR:**[[1]](#star-underlying) 24-bit. **YCbCr:** 24-bit. **RGBA:**[[1]](#star-underlying) 32-bit. **BGRA:**[[1]](#star-underlying) 32-bit. **ARGB:**[[1]](#star-underlying) 32-bit. **ABGR:**[[1]](#star-underlying) 32-bit. **CMYK:** 32-bit. **YCCK:** 32-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles. | - | **Grayscale:** 8-bit. **RGB:** 565 16-bit[[1]](#star-underlying), 24-bit. **BGR:**[[1]](#star-underlying) 24-bit. **YCbCr:** 24-bit. **RGBA:**[[1]](#star-underlying) 32-bit. **BGRA:**[[1]](#star-underlying) 32-bit. **ARGB:**[[1]](#star-underlying) 32-bit. **ABGR:**[[1]](#star-underlying) 32-bit. **CMYK:** 32-bit. **YCCK:** 32-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles. | - | libjpeg or libjpeg-turbo |
| 7  | [JPEG2000](https://wikipedia.org/wiki/JPEG_2000)                    | **Grayscale:** 8-bit, 16-bit. **RGB:** 24-bit, 48-bit. **YCbCr:** 24-bit. **RGBA:** 32-bit, 64-bit. <br/><br/>**Content:** Static. | **Pixel formats:** YCCK, CMYK, LAB, XYZ, and other. <br/><br/>**Content:** Meta data, ICC profiles, images with non-zero position, images with bits per channel greater than 16. | Unsupported | - | jasper |
| 8  | [PCX](https://wikipedia.org/wiki/PCX)                               | **Indexed:** 1-bit, 4-bit, 8-bit. **RGB:** 24-bit. **RGBA:** 32-bit. <br/><br/>**Content:** Static. <br/><br/>**Compressions:** NONE[[2]](#star-pcx-rle), RLE. | - | Unsupported | - | - |
| 9  | [PNG](https://wikipedia.org/wiki/Portable_Network_Graphics)         | **Grayscale:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit. **Indexed:** 1-bit, 2-bit, 4-bit, 8-bit. **RGB:** 24-bit, 48-bit. **RGBA:** 32-bit, 64-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles. | - | **Grayscale:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit. **Indexed:** 1-bit, 2-bit, 4-bit, 8-bit. **RGB:** 24-bit, 48-bit. **RGBA:** 32-bit, 64-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles. | - | libpng |
| 10 | [QOI](http://qoiformat.org)                                         | **RGB:** 24-bit. **RGBA:** 32-bit. <br/><br/>**Content:** Static. | Linear color space. | **RGB:** 24-bit. **RGBA:** 32-bit. <br/><br/>**Content:** Static. | Linear color space. | - |
| 11 | [SVG](https://wikipedia.org/wiki/Scalable_Vector_Graphics)          | **Bit depth:** 32-bit. <br/><br/>**Content:** Static. <br/><br/>See [more](https://razrfalcon.github.io/resvg-test-suite/svg-support-table.html). | **Content:** Animated, Meta data, ICC profiles. <br/><br/>See [more](https://razrfalcon.github.io/resvg-test-suite/svg-support-table.html). | Unsupported | - | resvg |
| 12 | [TGA](https://wikipedia.org/wiki/Truevision_TGA)                    | **Grayscale:** 8-bit. **Indexed:** 8-bit. **RGB:** 24-bit. **RGBA:** 32-bit. <br/><br/>**Content:** Static, Meta data. | **Content:** Thumbnail images. | Unsupported | - | - |
| 13 | [TIFF](https://wikipedia.org/wiki/TIFF)                             | **Bit depth:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit, 24-bit, 32-bit, 48-bit, 64-bit. <br/><br/>**Compressions:**[[1]](#star-underlying) ADOBE-DEFLATE, CCITT-RLE, CCITT-RLEW, CCITT-T4, CCITT-T6, DCS, DEFLATE, IT-8BL, IT8-CTPAD, IT8-LW, IT8-MP, JBIG, JPEG, JPEG-2000, LERC, LZMA, LZW, NEXT, NONE, OJPEG, PACKBITS, PIXAR-FILM, PIXAR-LOG, SGI-LOG24, SGI-LOG, T43, T85, THUNDERSCAN, WEBP, ZSTD. <br/><br/>**Content:** Static, Multi-paged, Meta data, ICC profiles. | - | **RGBA:** 32-bit. <br/><br/>**Compressions:**[[1]](#star-underlying) ADOBE-DEFLATE, CCITT-RLE, CCITT-RLEW, CCITT-T4, CCITT-T6, DCS, DEFLATE, IT-8BL, IT8-CTPAD, IT8-LW, IT8-MP, JBIG, JPEG, JPEG-2000, LERC, LZMA, LZW, NEXT, NONE, OJPEG, PACKBITS, PIXAR-FILM, PIXAR-LOG, SGI-LOG24, SGI-LOG, T43, T85, THUNDERSCAN, WEBP, ZSTD. <br/><br/>**Content:** Static, Multi-paged, Meta data, ICC profiles. | - | libtiff |
| 14 | [WAL](http://fileformats.archiveteam.org/wiki/Quake_2_Texture)      | **Indexed:** 8-bit. <br/><br/>**Content:** Static, Multi-paged. | - | Unsupported | - | - |
| 15 | [WEBP](https://wikipedia.org/wiki/WebP)                             | **Bit depth:** 24-bit, 32-bit. <br/><br/>**Content:** Static, Animated, Meta data, ICC profiles. | - | Unsupported | - | libwebp |

## References

1. <a name="star-underlying"></a> If supported by the underlying codec like libjpeg.
1. <a name="star-pcx-rle"></a> Even though uncompressed PCX files are not considered valid by the spec.
